Mr.Developer

блог веб-разработчика

Итак, сегодня столкнулся с неожиданной проблемой во время установки зависимостей на сервере для одного из проектов. Привычно набрал npm i и увидел как после продолжительных мучений процесс установки крашнулся показав мне трейс из ошибок.

На одном из серверов возникла проблема после установки Proxmox 4 - катастрофически низкая скорость записи данных. Узнали вообще из монитора производительности 1С-Битрикс. Потом проблема подтвердилась утилитой pveperf.

В репозиториях CentOS 6 лежит уже довольно старая версия пакета git-1.7.1-3 Все бы с ним хорошо, да есть один баг из-за которого в нем не работает хук из вот этой заметки.

Тут все очень просто:

На самом деле нет нужды заморачиваться вспоминая что сейчас нужно - tar zxf или tar jxf для конкретного случая (tar.gz и tar.bz).

Самый простой вариант это писать: